﻿/**  版本信息模板在安装目录下，可自行修改。
* T_ALM_PIPECOLLDATACOMPARE.cs
*
* 功 能： N/A
* 类 名： T_ALM_PIPECOLLDATACOMPARE
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024/6/12 16:53:37   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Competition.Mysql.Model
{
	/// <summary>
	/// T_ALM_PIPECOLLDATACOMPARE:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_ALM_PIPECOLLDATACOMPARE
	{
		public T_ALM_PIPECOLLDATACOMPARE()
		{}
		#region Model
		private Guid _guid;
		private string _pipe_code;
		private string _monitor_id;
		private DateTime? _coll_time;
		private decimal? _cond_density;
		private int? _cond_density_state;
		private decimal? _cond_temperature;
		private int? _cond_temperature_state;
		private decimal? _cond_pressure;
		private int? _cond_pressure_state;
		private decimal? _cond_total_volume;
		private decimal? _cond_velocity;
		private int? _cond_flowmeter_state;
		private int? _cond_flow_computer_status;
		private decimal? _stan_density;
		private decimal? _stan_previous_density;
		private decimal? _stan_diff_density;
		private decimal? _stan_relative_density;
		private decimal? _stan_velocity;
		private decimal? _stan_high_qgr;
		private decimal? _stan_low_qgr;
		private decimal? _stan_methane;
		private decimal? _stan_ethane;
		private decimal? _stan_propane;
		private decimal? _stan_isobutane;
		private decimal? _stan_butane;
		private decimal? _stan_isopentane;
		private decimal? _stan_pentane;
		private decimal? _stan_newpentane;
		private decimal? _stan_hexane;
		private decimal? _stan_carbondioxide;
		private decimal? _stan_nitrogen;
		private decimal? _stan_yesterday_total_volume;
		private decimal? _stan_today_total_volume;
		private decimal? _stan_previous_months_volume;
		private decimal? _stan_this_months_volume;
		private decimal? _stan_previous_year_volume;
		private decimal? _stan_this_year_volume;
		private decimal? _stan_present_flowmeter_total_volume;
		private decimal? _stan_yesterday_total_quality;
		private decimal? _stan_yesterday_quality;
		private decimal? _stan_diff_quality;
		private decimal? _stan_today_total_quality;
		private decimal? _stan_previous_months_quality;
		private decimal? _stan_this_months_quality;
		private decimal? _stan_previous_year_quality;
		private decimal? _stan_this_year_quality;
		private decimal? _stan_present_flowmeter_total_quality;
		private decimal? _base_amount;
		private decimal? _base_variate;
		private string _cond_density_flag;
		private string _cond_density_state_flag;
		private string _cond_temperature_flag;
		private string _cond_temperature_state_flag;
		private string _cond_pressure_flag;
		private string _cond_pressure_state_flag;
		private string _cond_total_volume_flag;
		private string _cond_velocity_flag;
		private string _cond_flowmeter_state_flag;
		private string _cond_flow_computer_status_flag;
		private string _stan_relative_density_flag;
		private string _stan_density_flag;
		private string _stan_velocity_flag;
		private string _stan_high_qgr_flag;
		private string _stan_low_qgr_flag;
		private string _stan_methane_flag;
		private string _stan_ethane_flag;
		private string _stan_propane_flag;
		private string _stan_isobutane_flag;
		private string _stan_butane_flag;
		private string _stan_isopentane_flag;
		private string _stan_pentane_flag;
		private string _stan_newpentane_flag;
		private string _stan_hexane_flag;
		private string _stan_carbondioxide_flag;
		private string _stan_nitrogen_flag;
		private string _stan_yesterday_total_volume_flag;
		private string _stan_today_total_volume_flag;
		private string _stan_previous_months_volume_flag;
		private string _stan_this_months_volume_flag;
		private string _stan_previous_year_volume_flag;
		private string _stan_this_year_volume_flag;
		private string _stan_present_flowmeter_total_volume_flag;
		private string _stan_yesterday_total_quality_flag;
		private string _stan_today_total_quality_flag;
		private string _stan_previous_months_quality_flag;
		private string _stan_this_months_quality_flag;
		private string _stan_previous_year_quality_flag;
		private string _stan_this_year_quality_flag;
		private string _stan_present_flowmeter_total_quality_flag;
		private string _collfixture_code;
		private DateTime? _server_time;
		private string _field_char1;
		private string _field_char2;
		private decimal? _field_decimal2;
		private decimal? _field_decimal3;
		private int? _stan_present_gate_heartbeat;
		private DateTime? _stan_present_gate_pounds_satrt_time;
		private DateTime? _stan_present_gate_pounds_end_time;
		/// <summary>
		/// 
		/// </summary>
		public Guid GUID
		{
			set{ _guid=value;}
			get{return _guid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string PIPE_CODE
		{
			set{ _pipe_code=value;}
			get{return _pipe_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_ID
		{
			set{ _monitor_id=value;}
			get{return _monitor_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? COLL_TIME
		{
			set{ _coll_time=value;}
			get{return _coll_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? COND_DENSITY
		{
			set{ _cond_density=value;}
			get{return _cond_density;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? COND_DENSITY_STATE
		{
			set{ _cond_density_state=value;}
			get{return _cond_density_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? COND_TEMPERATURE
		{
			set{ _cond_temperature=value;}
			get{return _cond_temperature;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? COND_TEMPERATURE_STATE
		{
			set{ _cond_temperature_state=value;}
			get{return _cond_temperature_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? COND_PRESSURE
		{
			set{ _cond_pressure=value;}
			get{return _cond_pressure;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? COND_PRESSURE_STATE
		{
			set{ _cond_pressure_state=value;}
			get{return _cond_pressure_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? COND_TOTAL_VOLUME
		{
			set{ _cond_total_volume=value;}
			get{return _cond_total_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? COND_VELOCITY
		{
			set{ _cond_velocity=value;}
			get{return _cond_velocity;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? COND_FLOWMETER_STATE
		{
			set{ _cond_flowmeter_state=value;}
			get{return _cond_flowmeter_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? COND_FLOW_COMPUTER_STATUS
		{
			set{ _cond_flow_computer_status=value;}
			get{return _cond_flow_computer_status;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_DENSITY
		{
			set{ _stan_density=value;}
			get{return _stan_density;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PREVIOUS_DENSITY
		{
			set{ _stan_previous_density=value;}
			get{return _stan_previous_density;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_DIFF_DENSITY
		{
			set{ _stan_diff_density=value;}
			get{return _stan_diff_density;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_RELATIVE_DENSITY
		{
			set{ _stan_relative_density=value;}
			get{return _stan_relative_density;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_VELOCITY
		{
			set{ _stan_velocity=value;}
			get{return _stan_velocity;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_HIGH_QGR
		{
			set{ _stan_high_qgr=value;}
			get{return _stan_high_qgr;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_LOW_QGR
		{
			set{ _stan_low_qgr=value;}
			get{return _stan_low_qgr;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_METHANE
		{
			set{ _stan_methane=value;}
			get{return _stan_methane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_ETHANE
		{
			set{ _stan_ethane=value;}
			get{return _stan_ethane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PROPANE
		{
			set{ _stan_propane=value;}
			get{return _stan_propane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_ISOBUTANE
		{
			set{ _stan_isobutane=value;}
			get{return _stan_isobutane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_BUTANE
		{
			set{ _stan_butane=value;}
			get{return _stan_butane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_ISOPENTANE
		{
			set{ _stan_isopentane=value;}
			get{return _stan_isopentane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PENTANE
		{
			set{ _stan_pentane=value;}
			get{return _stan_pentane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_NEWPENTANE
		{
			set{ _stan_newpentane=value;}
			get{return _stan_newpentane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_HEXANE
		{
			set{ _stan_hexane=value;}
			get{return _stan_hexane;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_CARBONDIOXIDE
		{
			set{ _stan_carbondioxide=value;}
			get{return _stan_carbondioxide;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_NITROGEN
		{
			set{ _stan_nitrogen=value;}
			get{return _stan_nitrogen;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_YESTERDAY_TOTAL_VOLUME
		{
			set{ _stan_yesterday_total_volume=value;}
			get{return _stan_yesterday_total_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_TODAY_TOTAL_VOLUME
		{
			set{ _stan_today_total_volume=value;}
			get{return _stan_today_total_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PREVIOUS_MONTHS_VOLUME
		{
			set{ _stan_previous_months_volume=value;}
			get{return _stan_previous_months_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_THIS_MONTHS_VOLUME
		{
			set{ _stan_this_months_volume=value;}
			get{return _stan_this_months_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PREVIOUS_YEAR_VOLUME
		{
			set{ _stan_previous_year_volume=value;}
			get{return _stan_previous_year_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_THIS_YEAR_VOLUME
		{
			set{ _stan_this_year_volume=value;}
			get{return _stan_this_year_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PRESENT_FLOWMETER_TOTAL_VOLUME
		{
			set{ _stan_present_flowmeter_total_volume=value;}
			get{return _stan_present_flowmeter_total_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_YESTERDAY_TOTAL_QUALITY
		{
			set{ _stan_yesterday_total_quality=value;}
			get{return _stan_yesterday_total_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_YESTERDAY_QUALITY
		{
			set{ _stan_yesterday_quality=value;}
			get{return _stan_yesterday_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_DIFF_QUALITY
		{
			set{ _stan_diff_quality=value;}
			get{return _stan_diff_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_TODAY_TOTAL_QUALITY
		{
			set{ _stan_today_total_quality=value;}
			get{return _stan_today_total_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PREVIOUS_MONTHS_QUALITY
		{
			set{ _stan_previous_months_quality=value;}
			get{return _stan_previous_months_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_THIS_MONTHS_QUALITY
		{
			set{ _stan_this_months_quality=value;}
			get{return _stan_this_months_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PREVIOUS_YEAR_QUALITY
		{
			set{ _stan_previous_year_quality=value;}
			get{return _stan_previous_year_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_THIS_YEAR_QUALITY
		{
			set{ _stan_this_year_quality=value;}
			get{return _stan_this_year_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STAN_PRESENT_FLOWMETER_TOTAL_QUALITY
		{
			set{ _stan_present_flowmeter_total_quality=value;}
			get{return _stan_present_flowmeter_total_quality;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? BASE_AMOUNT
		{
			set{ _base_amount=value;}
			get{return _base_amount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? BASE_VARIATE
		{
			set{ _base_variate=value;}
			get{return _base_variate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_DENSITY_FLAG
		{
			set{ _cond_density_flag=value;}
			get{return _cond_density_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_DENSITY_STATE_FLAG
		{
			set{ _cond_density_state_flag=value;}
			get{return _cond_density_state_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_TEMPERATURE_FLAG
		{
			set{ _cond_temperature_flag=value;}
			get{return _cond_temperature_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_TEMPERATURE_STATE_FLAG
		{
			set{ _cond_temperature_state_flag=value;}
			get{return _cond_temperature_state_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_PRESSURE_FLAG
		{
			set{ _cond_pressure_flag=value;}
			get{return _cond_pressure_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_PRESSURE_STATE_FLAG
		{
			set{ _cond_pressure_state_flag=value;}
			get{return _cond_pressure_state_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_TOTAL_VOLUME_FLAG
		{
			set{ _cond_total_volume_flag=value;}
			get{return _cond_total_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_VELOCITY_FLAG
		{
			set{ _cond_velocity_flag=value;}
			get{return _cond_velocity_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_FLOWMETER_STATE_FLAG
		{
			set{ _cond_flowmeter_state_flag=value;}
			get{return _cond_flowmeter_state_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COND_FLOW_COMPUTER_STATUS_FLAG
		{
			set{ _cond_flow_computer_status_flag=value;}
			get{return _cond_flow_computer_status_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_RELATIVE_DENSITY_FLAG
		{
			set{ _stan_relative_density_flag=value;}
			get{return _stan_relative_density_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_DENSITY_FLAG
		{
			set{ _stan_density_flag=value;}
			get{return _stan_density_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_VELOCITY_FLAG
		{
			set{ _stan_velocity_flag=value;}
			get{return _stan_velocity_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_HIGH_QGR_FLAG
		{
			set{ _stan_high_qgr_flag=value;}
			get{return _stan_high_qgr_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_LOW_QGR_FLAG
		{
			set{ _stan_low_qgr_flag=value;}
			get{return _stan_low_qgr_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_METHANE_FLAG
		{
			set{ _stan_methane_flag=value;}
			get{return _stan_methane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_ETHANE_FLAG
		{
			set{ _stan_ethane_flag=value;}
			get{return _stan_ethane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PROPANE_FLAG
		{
			set{ _stan_propane_flag=value;}
			get{return _stan_propane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_ISOBUTANE_FLAG
		{
			set{ _stan_isobutane_flag=value;}
			get{return _stan_isobutane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_BUTANE_FLAG
		{
			set{ _stan_butane_flag=value;}
			get{return _stan_butane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_ISOPENTANE_FLAG
		{
			set{ _stan_isopentane_flag=value;}
			get{return _stan_isopentane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PENTANE_FLAG
		{
			set{ _stan_pentane_flag=value;}
			get{return _stan_pentane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_NEWPENTANE_FLAG
		{
			set{ _stan_newpentane_flag=value;}
			get{return _stan_newpentane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_HEXANE_FLAG
		{
			set{ _stan_hexane_flag=value;}
			get{return _stan_hexane_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_CARBONDIOXIDE_FLAG
		{
			set{ _stan_carbondioxide_flag=value;}
			get{return _stan_carbondioxide_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_NITROGEN_FLAG
		{
			set{ _stan_nitrogen_flag=value;}
			get{return _stan_nitrogen_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_YESTERDAY_TOTAL_VOLUME_FLAG
		{
			set{ _stan_yesterday_total_volume_flag=value;}
			get{return _stan_yesterday_total_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_TODAY_TOTAL_VOLUME_FLAG
		{
			set{ _stan_today_total_volume_flag=value;}
			get{return _stan_today_total_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PREVIOUS_MONTHS_VOLUME_FLAG
		{
			set{ _stan_previous_months_volume_flag=value;}
			get{return _stan_previous_months_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_THIS_MONTHS_VOLUME_FLAG
		{
			set{ _stan_this_months_volume_flag=value;}
			get{return _stan_this_months_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PREVIOUS_YEAR_VOLUME_FLAG
		{
			set{ _stan_previous_year_volume_flag=value;}
			get{return _stan_previous_year_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_THIS_YEAR_VOLUME_FLAG
		{
			set{ _stan_this_year_volume_flag=value;}
			get{return _stan_this_year_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PRESENT_FLOWMETER_TOTAL_VOLUME_FLAG
		{
			set{ _stan_present_flowmeter_total_volume_flag=value;}
			get{return _stan_present_flowmeter_total_volume_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_YESTERDAY_TOTAL_QUALITY_FLAG
		{
			set{ _stan_yesterday_total_quality_flag=value;}
			get{return _stan_yesterday_total_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_TODAY_TOTAL_QUALITY_FLAG
		{
			set{ _stan_today_total_quality_flag=value;}
			get{return _stan_today_total_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PREVIOUS_MONTHS_QUALITY_FLAG
		{
			set{ _stan_previous_months_quality_flag=value;}
			get{return _stan_previous_months_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_THIS_MONTHS_QUALITY_FLAG
		{
			set{ _stan_this_months_quality_flag=value;}
			get{return _stan_this_months_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PREVIOUS_YEAR_QUALITY_FLAG
		{
			set{ _stan_previous_year_quality_flag=value;}
			get{return _stan_previous_year_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_THIS_YEAR_QUALITY_FLAG
		{
			set{ _stan_this_year_quality_flag=value;}
			get{return _stan_this_year_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STAN_PRESENT_FLOWMETER_TOTAL_QUALITY_FLAG
		{
			set{ _stan_present_flowmeter_total_quality_flag=value;}
			get{return _stan_present_flowmeter_total_quality_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COLLFIXTURE_CODE
		{
			set{ _collfixture_code=value;}
			get{return _collfixture_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? SERVER_TIME
		{
			set{ _server_time=value;}
			get{return _server_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR1
		{
			set{ _field_char1=value;}
			get{return _field_char1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR2
		{
			set{ _field_char2=value;}
			get{return _field_char2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL2
		{
			set{ _field_decimal2=value;}
			get{return _field_decimal2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL3
		{
			set{ _field_decimal3=value;}
			get{return _field_decimal3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? STAN_PRESENT_GATE_HEARTBEAT
		{
			set{ _stan_present_gate_heartbeat=value;}
			get{return _stan_present_gate_heartbeat;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? STAN_PRESENT_GATE_POUNDS_SATRT_TIME
		{
			set{ _stan_present_gate_pounds_satrt_time=value;}
			get{return _stan_present_gate_pounds_satrt_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? STAN_PRESENT_GATE_POUNDS_END_TIME
		{
			set{ _stan_present_gate_pounds_end_time=value;}
			get{return _stan_present_gate_pounds_end_time;}
		}
		#endregion Model

	}
}

