﻿/**  版本信息模板在安装目录下，可自行修改。
* T_BAS_CAMERA.cs
*
* 功 能： N/A
* 类 名： T_BAS_CAMERA
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024/6/12 16:53:42   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Competition.Mysql.Model
{
	/// <summary>
	/// T_BAS_CAMERA:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_BAS_CAMERA
	{
		public T_BAS_CAMERA()
		{}
		#region Model
		private string _cameraid;
		private string _customs_code;
		private string _monitor_id;
		private string _camerainame;
		private string _position;
		private string _channel;
		private string _ip;
		private string _port;
		private string _loginuser;
		private string _pwd;
		private string _memo;
		private bool _b_used;
		private string _monitor_area;
		private string _camera_control;
		private string _customs_control;
		private string _ent_control;
		private int? _in_area;
		private string _field_char1;
		private string _field_char2;
		private string _field_char3;
		private decimal? _field_decimal1;
		private decimal? _field_decimal2;
		private decimal? _field_decimal3;
		private string _view_user;
		private string _view_pwd;
		private string _remote_ip;
		private int? _remote_port;
		private string _brand_type;
		/// <summary>
		/// 
		/// </summary>
		public string CameraID
		{
			set{ _cameraid=value;}
			get{return _cameraid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CUSTOMS_CODE
		{
			set{ _customs_code=value;}
			get{return _customs_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_ID
		{
			set{ _monitor_id=value;}
			get{return _monitor_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CameraIName
		{
			set{ _camerainame=value;}
			get{return _camerainame;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Position
		{
			set{ _position=value;}
			get{return _position;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Channel
		{
			set{ _channel=value;}
			get{return _channel;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string IP
		{
			set{ _ip=value;}
			get{return _ip;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Port
		{
			set{ _port=value;}
			get{return _port;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string LoginUser
		{
			set{ _loginuser=value;}
			get{return _loginuser;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Pwd
		{
			set{ _pwd=value;}
			get{return _pwd;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MEMO
		{
			set{ _memo=value;}
			get{return _memo;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool B_USED
		{
			set{ _b_used=value;}
			get{return _b_used;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_AREA
		{
			set{ _monitor_area=value;}
			get{return _monitor_area;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CAMERA_CONTROL
		{
			set{ _camera_control=value;}
			get{return _camera_control;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CUSTOMS_CONTROL
		{
			set{ _customs_control=value;}
			get{return _customs_control;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string ENT_CONTROL
		{
			set{ _ent_control=value;}
			get{return _ent_control;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? IN_AREA
		{
			set{ _in_area=value;}
			get{return _in_area;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR1
		{
			set{ _field_char1=value;}
			get{return _field_char1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR2
		{
			set{ _field_char2=value;}
			get{return _field_char2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR3
		{
			set{ _field_char3=value;}
			get{return _field_char3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL1
		{
			set{ _field_decimal1=value;}
			get{return _field_decimal1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL2
		{
			set{ _field_decimal2=value;}
			get{return _field_decimal2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL3
		{
			set{ _field_decimal3=value;}
			get{return _field_decimal3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string VIEW_USER
		{
			set{ _view_user=value;}
			get{return _view_user;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string VIEW_PWD
		{
			set{ _view_pwd=value;}
			get{return _view_pwd;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string REMOTE_IP
		{
			set{ _remote_ip=value;}
			get{return _remote_ip;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? REMOTE_PORT
		{
			set{ _remote_port=value;}
			get{return _remote_port;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string BRAND_TYPE
		{
			set{ _brand_type=value;}
			get{return _brand_type;}
		}
		#endregion Model

	}
}

