﻿/**  版本信息模板在安装目录下，可自行修改。
* T_BAS_CORPORATION.cs
*
* 功 能： N/A
* 类 名： T_BAS_CORPORATION
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024/6/12 15:52:51   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Competition.Mysql.Model
{
	/// <summary>
	/// T_BAS_CORPORATION:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_BAS_CORPORATION
	{
		public T_BAS_CORPORATION()
		{}
		#region Model
		private string _monitor_id;
		private string _transfer_svr_code;
		private string _customs_code;
		private string _monitor_name;
		private string _monitor_address;
		private string _trade_name;
		private string _addr_co;
		private string _cop_range;
		private string _contac_co;
		private string _tel_co;
		private string _law_man;
		private string _law_man_tel;
		private int? _can_num;
		private int? _flowmeter_num;
		private int? _levelgauge_num;
		private int? _fixture_num;
		private DateTime? _chk_date;
		private string _stock_ability;
		private string _ems_no;
		private string _is_lock;
		private string _delay_date;
		private string _field_char1;
		private string _field_char2;
		private string _field_char3;
		private decimal? _field_decimal1;
		private decimal? _field_decimal2;
		private decimal? _field_decimal3;
		private string _ems_no_flag;
		private string _monitor_code;
		private string _contac_part;
		private string _silo_num;
		private string _yard_num;
		private string _yard_area;
		private string _memo;
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_ID
		{
			set{ _monitor_id=value;}
			get{return _monitor_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string TRANSFER_SVR_CODE
		{
			set{ _transfer_svr_code=value;}
			get{return _transfer_svr_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CUSTOMS_CODE
		{
			set{ _customs_code=value;}
			get{return _customs_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_NAME
		{
			set{ _monitor_name=value;}
			get{return _monitor_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_ADDRESS
		{
			set{ _monitor_address=value;}
			get{return _monitor_address;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string TRADE_NAME
		{
			set{ _trade_name=value;}
			get{return _trade_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string ADDR_CO
		{
			set{ _addr_co=value;}
			get{return _addr_co;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string COP_RANGE
		{
			set{ _cop_range=value;}
			get{return _cop_range;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CONTAC_CO
		{
			set{ _contac_co=value;}
			get{return _contac_co;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string TEL_CO
		{
			set{ _tel_co=value;}
			get{return _tel_co;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string LAW_MAN
		{
			set{ _law_man=value;}
			get{return _law_man;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string LAW_MAN_TEL
		{
			set{ _law_man_tel=value;}
			get{return _law_man_tel;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? CAN_NUM
		{
			set{ _can_num=value;}
			get{return _can_num;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? FLOWMETER_NUM
		{
			set{ _flowmeter_num=value;}
			get{return _flowmeter_num;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? LEVELGAUGE_NUM
		{
			set{ _levelgauge_num=value;}
			get{return _levelgauge_num;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? FIXTURE_NUM
		{
			set{ _fixture_num=value;}
			get{return _fixture_num;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? CHK_DATE
		{
			set{ _chk_date=value;}
			get{return _chk_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STOCK_ABILITY
		{
			set{ _stock_ability=value;}
			get{return _stock_ability;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string EMS_NO
		{
			set{ _ems_no=value;}
			get{return _ems_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string IS_LOCK
		{
			set{ _is_lock=value;}
			get{return _is_lock;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string DELAY_DATE
		{
			set{ _delay_date=value;}
			get{return _delay_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR1
		{
			set{ _field_char1=value;}
			get{return _field_char1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR2
		{
			set{ _field_char2=value;}
			get{return _field_char2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR3
		{
			set{ _field_char3=value;}
			get{return _field_char3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL1
		{
			set{ _field_decimal1=value;}
			get{return _field_decimal1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL2
		{
			set{ _field_decimal2=value;}
			get{return _field_decimal2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL3
		{
			set{ _field_decimal3=value;}
			get{return _field_decimal3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string EMS_NO_FLAG
		{
			set{ _ems_no_flag=value;}
			get{return _ems_no_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_CODE
		{
			set{ _monitor_code=value;}
			get{return _monitor_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CONTAC_PART
		{
			set{ _contac_part=value;}
			get{return _contac_part;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SILO_NUM
		{
			set{ _silo_num=value;}
			get{return _silo_num;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string YARD_NUM
		{
			set{ _yard_num=value;}
			get{return _yard_num;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string YARD_AREA
		{
			set{ _yard_area=value;}
			get{return _yard_area;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MEMO
		{
			set{ _memo=value;}
			get{return _memo;}
		}
		#endregion Model

	}
}

