﻿/**  版本信息模板在安装目录下，可自行修改。
* T_BAS_ELEC_WEIGHTER.cs
*
* 功 能： N/A
* 类 名： T_BAS_ELEC_WEIGHTER
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024/6/12 16:53:48   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Competition.Mysql.Model
{
	/// <summary>
	/// T_BAS_ELEC_WEIGHTER:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_BAS_ELEC_WEIGHTER
	{
		public T_BAS_ELEC_WEIGHTER()
		{}
		#region Model
		private string _pipe_code;
		private string _customs_code;
		private string _monitor_id;
		private string _weighter_name;
		private string _weighter_no;
		private string _factory_no;
		private string _factory;
		private DateTime? _factory_date;
		private string _measure_target;
		private DateTime? _check_date;
		private string _up_down_flag;
		private string _camera_enable;
		private string _memo;
		private string _field_char1;
		private string _field_char2;
		private string _field_char3;
		private decimal? _field_decimal1;
		private decimal? _field_decimal2;
		private decimal? _field_decimal3;
		private string _decl_name1;
		private string _decl_name2;
		private string _decl_name3;
		private string _i_e_flag;
		private string _weighter_type;
		private string _weighter_code;
		private string _relation_id;
		private string _relation_name;
		private string _relation_weighter_code;
		/// <summary>
		/// 
		/// </summary>
		public string PIPE_CODE
		{
			set{ _pipe_code=value;}
			get{return _pipe_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CUSTOMS_CODE
		{
			set{ _customs_code=value;}
			get{return _customs_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_ID
		{
			set{ _monitor_id=value;}
			get{return _monitor_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string WEIGHTER_NAME
		{
			set{ _weighter_name=value;}
			get{return _weighter_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string WEIGHTER_NO
		{
			set{ _weighter_no=value;}
			get{return _weighter_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FACTORY_NO
		{
			set{ _factory_no=value;}
			get{return _factory_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FACTORY
		{
			set{ _factory=value;}
			get{return _factory;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? FACTORY_DATE
		{
			set{ _factory_date=value;}
			get{return _factory_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MEASURE_TARGET
		{
			set{ _measure_target=value;}
			get{return _measure_target;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? CHECK_DATE
		{
			set{ _check_date=value;}
			get{return _check_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string UP_DOWN_FLAG
		{
			set{ _up_down_flag=value;}
			get{return _up_down_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CAMERA_ENABLE
		{
			set{ _camera_enable=value;}
			get{return _camera_enable;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MEMO
		{
			set{ _memo=value;}
			get{return _memo;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR1
		{
			set{ _field_char1=value;}
			get{return _field_char1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR2
		{
			set{ _field_char2=value;}
			get{return _field_char2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR3
		{
			set{ _field_char3=value;}
			get{return _field_char3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL1
		{
			set{ _field_decimal1=value;}
			get{return _field_decimal1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL2
		{
			set{ _field_decimal2=value;}
			get{return _field_decimal2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL3
		{
			set{ _field_decimal3=value;}
			get{return _field_decimal3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string DECL_NAME1
		{
			set{ _decl_name1=value;}
			get{return _decl_name1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string DECL_NAME2
		{
			set{ _decl_name2=value;}
			get{return _decl_name2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string DECL_NAME3
		{
			set{ _decl_name3=value;}
			get{return _decl_name3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string I_E_FLAG
		{
			set{ _i_e_flag=value;}
			get{return _i_e_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string WEIGHTER_TYPE
		{
			set{ _weighter_type=value;}
			get{return _weighter_type;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string WEIGHTER_Code
		{
			set{ _weighter_code=value;}
			get{return _weighter_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string RELATION_ID
		{
			set{ _relation_id=value;}
			get{return _relation_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string RELATION_NAME
		{
			set{ _relation_name=value;}
			get{return _relation_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string RELATION_WEIGHTER_Code
		{
			set{ _relation_weighter_code=value;}
			get{return _relation_weighter_code;}
		}
		#endregion Model

	}
}

