﻿/**  版本信息模板在安装目录下，可自行修改。
* T_STK_STORAGE.cs
*
* 功 能： N/A
* 类 名： T_STK_STORAGE
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024/6/12 17:00:00   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Competition.Mysql.Model
{
	/// <summary>
	/// ‘0’-‘9’
	///   如“铁路”、“航空”等
	/// </summary>
	[Serializable]
	public partial class T_STK_STORAGE
	{
		public T_STK_STORAGE()
		{}
		#region Model
		private Guid _storage_code;
		private string _goods_code;
		private int? _goods_type;
		private string _standard_name;
		private string _monitor_id;
		private string _monitor_name;
		private string _customs_code;
		private string _bill_no;
		private string _traf_mode;
		private string _i_e_flag;
		private string _voyage_no;
		private string _ship_name_en;
		private string _decl_name;
		private DateTime? _i_e_date;
		private string _ship_id;
		private decimal? _bill_gross_wt;
		private decimal? _trade_release;
		private decimal? _trade_unrelease;
		private decimal? _stock_balance;
		private decimal? _shipments;
		private DateTime? _instrg_date;
		private DateTime? _limit_date;
		private DateTime? _create_date;
		private DateTime? _modify_date;
		private string _memo;
		private string _field_char1;
		private string _field_char2;
		private string _field_char3;
		private decimal? _field_decimal1;
		private decimal? _field_decimal2;
		private decimal? _field_decimal3;
		private string _goods_ownerid;
		private string _bill_origin;
		private decimal? _pack_no_release;
		private decimal? _pack_no_unrelease;
		private decimal? _sing_wt;
		private decimal? _sing_vl;
		private decimal? _bill_gross_wt_no;
		private decimal? _stock_balance_no;
		private decimal? _shipments_no;
		private string _goodsarrive_code;
		private string _goodsarrivedtl_code;
		private DateTime? _goodsarrive_begin_time;
		private DateTime? _goodsarrive_end_time;
		private string _is_direct;
		private string _release_type;
		/// <summary>
		/// 
		/// </summary>
		public Guid STORAGE_CODE
		{
			set{ _storage_code=value;}
			get{return _storage_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string GOODS_CODE
		{
			set{ _goods_code=value;}
			get{return _goods_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? GOODS_TYPE
		{
			set{ _goods_type=value;}
			get{return _goods_type;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string STANDARD_NAME
		{
			set{ _standard_name=value;}
			get{return _standard_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_ID
		{
			set{ _monitor_id=value;}
			get{return _monitor_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MONITOR_NAME
		{
			set{ _monitor_name=value;}
			get{return _monitor_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CUSTOMS_CODE
		{
			set{ _customs_code=value;}
			get{return _customs_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string BILL_NO
		{
			set{ _bill_no=value;}
			get{return _bill_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string TRAF_MODE
		{
			set{ _traf_mode=value;}
			get{return _traf_mode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string I_E_FLAG
		{
			set{ _i_e_flag=value;}
			get{return _i_e_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string VOYAGE_NO
		{
			set{ _voyage_no=value;}
			get{return _voyage_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SHIP_NAME_EN
		{
			set{ _ship_name_en=value;}
			get{return _ship_name_en;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string DECL_NAME
		{
			set{ _decl_name=value;}
			get{return _decl_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? I_E_DATE
		{
			set{ _i_e_date=value;}
			get{return _i_e_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SHIP_ID
		{
			set{ _ship_id=value;}
			get{return _ship_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? BILL_GROSS_WT
		{
			set{ _bill_gross_wt=value;}
			get{return _bill_gross_wt;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? TRADE_RELEASE
		{
			set{ _trade_release=value;}
			get{return _trade_release;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? TRADE_UNRELEASE
		{
			set{ _trade_unrelease=value;}
			get{return _trade_unrelease;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STOCK_BALANCE
		{
			set{ _stock_balance=value;}
			get{return _stock_balance;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? SHIPMENTS
		{
			set{ _shipments=value;}
			get{return _shipments;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? INSTRG_DATE
		{
			set{ _instrg_date=value;}
			get{return _instrg_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? LIMIT_DATE
		{
			set{ _limit_date=value;}
			get{return _limit_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? CREATE_DATE
		{
			set{ _create_date=value;}
			get{return _create_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? MODIFY_DATE
		{
			set{ _modify_date=value;}
			get{return _modify_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MEMO
		{
			set{ _memo=value;}
			get{return _memo;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR1
		{
			set{ _field_char1=value;}
			get{return _field_char1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR2
		{
			set{ _field_char2=value;}
			get{return _field_char2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR3
		{
			set{ _field_char3=value;}
			get{return _field_char3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL1
		{
			set{ _field_decimal1=value;}
			get{return _field_decimal1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL2
		{
			set{ _field_decimal2=value;}
			get{return _field_decimal2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL3
		{
			set{ _field_decimal3=value;}
			get{return _field_decimal3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string GOODS_OWNERID
		{
			set{ _goods_ownerid=value;}
			get{return _goods_ownerid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string BILL_ORIGIN
		{
			set{ _bill_origin=value;}
			get{return _bill_origin;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? PACK_NO_RELEASE
		{
			set{ _pack_no_release=value;}
			get{return _pack_no_release;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? PACK_NO_UNRELEASE
		{
			set{ _pack_no_unrelease=value;}
			get{return _pack_no_unrelease;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? SING_WT
		{
			set{ _sing_wt=value;}
			get{return _sing_wt;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? SING_VL
		{
			set{ _sing_vl=value;}
			get{return _sing_vl;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? BILL_GROSS_WT_NO
		{
			set{ _bill_gross_wt_no=value;}
			get{return _bill_gross_wt_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? STOCK_BALANCE_NO
		{
			set{ _stock_balance_no=value;}
			get{return _stock_balance_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? SHIPMENTS_NO
		{
			set{ _shipments_no=value;}
			get{return _shipments_no;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string GOODSARRIVE_CODE
		{
			set{ _goodsarrive_code=value;}
			get{return _goodsarrive_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string GOODSARRIVEDTL_CODE
		{
			set{ _goodsarrivedtl_code=value;}
			get{return _goodsarrivedtl_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? GOODSARRIVE_BEGIN_TIME
		{
			set{ _goodsarrive_begin_time=value;}
			get{return _goodsarrive_begin_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? GOODSARRIVE_END_TIME
		{
			set{ _goodsarrive_end_time=value;}
			get{return _goodsarrive_end_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string IS_DIRECT
		{
			set{ _is_direct=value;}
			get{return _is_direct;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string RELEASE_TYPE
		{
			set{ _release_type=value;}
			get{return _release_type;}
		}
		#endregion Model

	}
}

