using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;
using UnityEngine.SceneManagement;

/// <summary>
/// ϵͳʼ
/// </summary>

public class CallForTest : MonoBehaviour
{
    public static CallForTest instance;
    /// <summary>
    /// 
    /// </summary>
    [HideInInspector]
    public List<string> infos = null;

    /// <summary>
    /// Ĺ
    /// </summary>
    public string customCode;
    /// <summary>
    /// 
    /// </summary>
    public CustomName customName;
    /// <summary>
    /// ҵid
    /// </summary>
    public string MONITOR_ID;

    /// <summary>
    /// ķIP
    /// </summary>
    public string ServerIP;

    private void Awake()
    {
        instance = this;
        DontDestroyOnLoad(gameObject);

#if UNITY_EDITOR
        Debug.unityLogger.logEnabled = true;
#else
        Debug.unityLogger.logEnabled = false;
#endif
    }

    private void Start()
    {
        //ȡ
        infos = Environment.GetCommandLineArgs().ToList();
        string code = infos.Find(a => a.StartsWith("code="));
        string enterprise_code = infos.Find(a => a.StartsWith("enterprise_code="));
        string config_value = infos.Find(a => a.StartsWith("config_value="));
        if(!string.IsNullOrEmpty(code))
        {
            customCode = code.Replace("code=","");
        }

        if(!string.IsNullOrEmpty(enterprise_code))
        {
            MONITOR_ID = enterprise_code.Replace("enterprise_code=","");
        }

        if(!string.IsNullOrEmpty(config_value))
        {
            ServerIP=config_value.Replace("config_value=","");
        }


        if (customCode=="3501")
        {
            customName = CustomName.β;
        }
        else if(customCode=="3502" ||  customCode=="3505")
        {
            customName = CustomName.ųǺ;
        }
        else if( customCode=="3503")
        {
            customName = CustomName.º;
        }
        else if(customCode=="3506")
        {
            customName = CustomName.ﺣ;
        }

        //صڶҵ
        SceneManager.LoadScene(1);
    }
}

/// <summary>
/// 
/// </summary>
public enum CustomName
{
    β,
    ųǺ,
    º,
    ﺣ
}
