﻿/**  版本信息模板在安装目录下，可自行修改。
* T_STK_STORAGE_SILO.cs
*
* 功 能： N/A
* 类 名： T_STK_STORAGE_SILO
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024/6/12 17:00:10   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Competition.Mysql.Model
{
	/// <summary>
	/// ‘0’-‘9’
	///   如“铁路”、“航空”等
	/// </summary>
	[Serializable]
	public partial class T_STK_STORAGE_SILO
	{
		public T_STK_STORAGE_SILO()
		{}
		#region Model
		private Guid _storage_silo_code;
		private Guid _storage_code;
		private string _silo_code;
		private string _silo_name;
		private decimal? _apply_trade_release;
		private decimal? _apply_trade_unrelease;
		private string _field_char1;
		private string _field_char2;
		private string _field_char3;
		private decimal? _field_decimal1;
		private decimal? _field_decimal2;
		private decimal? _field_decimal3;
		private decimal? _silo_stock_balance;
		private decimal? _silo_shipments;
		/// <summary>
		/// 
		/// </summary>
		public Guid STORAGE_SILO_CODE
		{
			set{ _storage_silo_code=value;}
			get{return _storage_silo_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public Guid STORAGE_CODE
		{
			set{ _storage_code=value;}
			get{return _storage_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SILO_CODE
		{
			set{ _silo_code=value;}
			get{return _silo_code;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SILO_NAME
		{
			set{ _silo_name=value;}
			get{return _silo_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? APPLY_TRADE_RELEASE
		{
			set{ _apply_trade_release=value;}
			get{return _apply_trade_release;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? APPLY_TRADE_UNRELEASE
		{
			set{ _apply_trade_unrelease=value;}
			get{return _apply_trade_unrelease;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR1
		{
			set{ _field_char1=value;}
			get{return _field_char1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR2
		{
			set{ _field_char2=value;}
			get{return _field_char2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FIELD_CHAR3
		{
			set{ _field_char3=value;}
			get{return _field_char3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL1
		{
			set{ _field_decimal1=value;}
			get{return _field_decimal1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL2
		{
			set{ _field_decimal2=value;}
			get{return _field_decimal2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? FIELD_DECIMAL3
		{
			set{ _field_decimal3=value;}
			get{return _field_decimal3;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? SILO_STOCK_BALANCE
		{
			set{ _silo_stock_balance=value;}
			get{return _silo_stock_balance;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? SILO_SHIPMENTS
		{
			set{ _silo_shipments=value;}
			get{return _silo_shipments;}
		}
		#endregion Model

	}
}

